Bug 229534 - Kontact hangs with error libakonadi Akonadi::SessionPrivate::socketError: Socket error occurred: "QLocalSocket::connectToServer: Invalid name"
Summary: Kontact hangs with error libakonadi Akonadi::SessionPrivate::socketError: Soc...
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: 4.4.1
Platform: OpenSUSE Unspecified
: NOR crash with 45 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 232191 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-03-05 12:48 UTC by Tristan Miller
Modified: 2017-01-07 22:25 UTC (History)
9 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot showing how the NX connection is made (147.71 KB, image/png)
2010-03-05 12:49 UTC, Tristan Miller
Details
Console output from kontact (28.74 KB, text/plain)
2010-03-05 12:49 UTC, Tristan Miller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tristan Miller 2010-03-05 12:48:54 UTC
Version:            (using KDE 4.4.1)
Installed from:    openSUSE RPMs

This bug appears to be new in KDE 4.4.1.  I don't recall it happening in KDE 4.4.0.

Reproducibility: Always

Steps to reproduce:
1. On the local machine, launch Kontact.  Then quit Kontact.
2. On a remote machine, use NoMachine NX client to launch Kontact on the local machine.  (See the attached screenshot for how to do this.)  Then quit Kontact.
3. On the local machine, launch Kontact.  The Kontact window appears, but it is completely unresponsive.  Meanwhile the following message gets output to the console about every second:
   kontact(22370)/libakonadi Akonadi::SessionPrivate::socketError: Socket error occurred: "QLocalSocket::connectToServer: Invalid name"
From this point the user's only recourse is to kill Kontact.

See the attached console output.

(Strictly speaking I'm not sure if Step #1 is necessary to reproduce the bug.)

Workaround:
Before step 3, enter the following commands:
$ akonadictl stop
$ akonadictl start
Comment 1 Tristan Miller 2010-03-05 12:49:24 UTC
Created attachment 41350 [details]
Screenshot showing how the NX connection is made
Comment 2 Tristan Miller 2010-03-05 12:49:53 UTC
Created attachment 41351 [details]
Console output from kontact
Comment 3 Anton Komolov 2010-03-09 13:00:23 UTC
I'm confirm this for KMail too. After NoMachine NX client akonadictl stop/start help me.
Comment 4 Tristan Miller 2010-03-09 13:34:28 UTC
I've just discovered that the workaround can be "akonadictl restart" instead of "start" and then "stop".  Also, this can be run after Kontact is run and is hanging; it doesn't have to be done in advance.  Once the akonadi server is restarted, Kontact will become unstuck.
Comment 5 kavol 2010-04-05 09:47:25 UTC
*** Bug 232191 has been marked as a duplicate of this bug. ***
Comment 6 kavol 2010-04-05 09:51:43 UTC
I can confirm the same with kmail over ssh

today it happened to me again, but the other way round than described in bug #232191 (i.e. kmail hanged on the local machine, not with the remote connection) and killing it did not led to that nice backtrace which is included in bug #232191
Comment 7 kavol 2010-04-28 07:52:20 UTC
it just happened to me again, I had to kill kmail 'cause it did not react, on subsequent try from konsole it started to repeat te message:

kmail(7231)/libakonadi Akonadi::SessionPrivate::socketError: Socket error occurred: "QLocalSocket::connectToServer: Invalid name"

but akonadi processes were running

[kavol@kavol ~]$ ps -ef | grep akon
kavol     2847     1  0 Apr26 ?        00:00:04 /usr/bin/akonadi_control
kavol     2849  2847  0 Apr26 ?        00:00:07 akonadiserver
kavol     2889  2847  0 Apr26 ?        00:00:00 /usr/bin/akonadi_contacts_resource --identifier akonadi_contacts_resource_0
kavol     2890  2847  0 Apr26 ?        00:00:01 /usr/bin/akonadi_ical_resource --identifier akonadi_ical_resource_0
kavol     2891  2847  0 Apr26 ?        00:00:01 /usr/bin/akonadi_ical_resource --identifier akonadi_ical_resource_1
kavol     2892  2847  0 Apr26 ?        00:00:00 /usr/bin/akonadi_maildir_resource --identifier akonadi_maildir_resource_0
kavol     2893  2847  0 Apr26 ?        00:00:01 /usr/bin/akonadi_maildispatcher_agent --identifier akonadi_maildispatcher_agent
kavol     2894  2847  0 Apr26 ?        00:00:02 /usr/bin/akonadi_nepomuk_contact_feeder --identifier akonadi_nepomuk_contact_feeder
kavol     2895  2847  0 Apr26 ?        00:00:01 /usr/bin/akonadi_vcard_resource --identifier akonadi_vcard_resource_0
kavol     2896  2847  0 Apr26 ?        00:00:01 /usr/bin/akonadi_vcard_resource --identifier akonadi_vcard_resource_1
kavol     2897  2847  0 Apr26 ?        00:00:01 /usr/bin/akonadi_vcard_resource --identifier akonadi_vcard_resource_2
kavol     7258  7240  0 07:41 pts/2    00:00:00 grep akon

killing them and then relaunching kmail helped the case

BUT THERE IS ONE BIG DIFFERENCE - it all happened locally, no ssh or NX connections to the machine ... I'm tempted to report this as a new bug ...
Comment 8 Christophe Giboudeaux 2010-06-06 16:34:36 UTC
Did one of you experience this issue with KDE 4.4.4 or 4.5 beta1 ?
Comment 9 Allistar 2010-07-19 22:17:48 UTC
(In reply to comment #8)
> Did one of you experience this issue with KDE 4.4.4 or 4.5 beta1 ?

I have experienced this issue with KDE4.4.4 (Gentoo, AMD64).

At the least Kontact (or Kmail) should display some kind of error message or have a timeout when trying to connect to Akonadi.

A "akonadictl restart" caused Kontact to become responsive again. This happens when I use Kontact from a remote session using NX.
Comment 10 freeman3 2010-10-06 10:17:45 UTC
I happens to me too in 4.4.6
and it says
[akonadiserver] Error during selection of all records from table "CollectionTable" "MySQL server has gone away QMYSQL: Unable to execute query"
Comment 11 Robert Anderson 2010-10-15 16:43:12 UTC
I am having this same issue while running on two machines here as well:

SysA (my main desktop) 
 -- Fedora 11, kdepim-4.4.3-1.fc11.1.i586
 logged in, then ran an stopped kontact then ran "akonadictl stop".

SysB (another desktop sharing home from SysA over nfs)
 -- Fedora 13, kdepim-4.4.6-3.fc13.i686
 logged and ran kmail from shell.  Works a line or two into a response, then hangs, and outputs the error message:

  kmail(12050)/libakonadi Akonadi::SessionPrivate::socketError: Socket error occurred: "QLocalSocket::connectToServer: Invalid name"

  "akonadictl stop" runs without error but a "akonadictl status" still indicates its running (and start thinks so too).


One new thing I discovered is that I was able to get everything back running again by running: "akonadi_control".

Hope something here helps.
Comment 12 AVee 2010-11-26 20:52:23 UTC
I've run into this issue regularly. I frequently use KMail (or actually Kontact) over NX. However, unlike what's reported above, I can generally use KMail until I start to write a new message. The new message window will be usable for a few seconds after which kmail freezes. It doesn't seem to happen when running through an NX session, not even when the session is started on the same machine.
"akonadictl restart" does resolve the issue. 

I'll try to properly reproduce this and get the console output, if anyone wants me to do same more specific testing let me know.

I'm running KDE from debian squeeze, these versions might be relevant:
alan:/home/avee# dpkg -l | grep kdepim | awk '{print $2 "\t" $3;}'
kdepim  4:4.4.6-1
kdepim-groupware        4:4.4.6-1
kdepim-kresources       4:4.4.6-1
kdepim-runtime  4:4.4.7-1
kdepim-strigi-plugins   4:4.4.6-1
kdepim-wizards  4:4.4.6-1
kdepimlibs-kio-plugins  4:4.4.5-1
libkdepim4      4:4.4.6-1
alan:/home/avee# dpkg -l | grep kmail | awk '{print $2 "\t" $3;}'
kmail   4:4.4.6-1
alan:/home/avee# dpkg -l | grep akona | awk '{print $2 "\t" $3;}'
akonadi-server  1.3.1-3+b1
akonadiconsole  4:4.4.6-1
kdepim-runtime  4:4.4.7-1
libakonadi-contact4     4:4.4.5-1
libakonadi-kabc4        4:4.4.5-1
libakonadi-kcal4        4:4.4.5-1
libakonadi-kde4 4:4.4.5-1
libakonadi-kmime4       4:4.4.5-1
libakonadiprivate1      1.3.1-3+b1
Comment 13 Boudewijn 2015-02-16 20:56:22 UTC
Not sure how useful my addition will be after years. With current Debian Wheezy I have similar symptoms. 
No remote session of any kind, just local X. 

Kmail is usable for half a minute or so, and then hangs. No use killing (kill -15), the application will just hang around. Sometimes it will unfreeze after a while (5-10 minutes), usually not. 

Thanks to the hint about aconadictl above, I was able to at least get a workaround. 

In the log below, kmail hangs at the first or second line. After giving aconadictl restart, I get the rest of the output and Kmail is responsive again: 

Enchant dict for "en_US" 0x1b633f0                                                                                                                                      
kontact(26206)/libakonadi Akonadi::SessionPrivate::socketError: Socket error occurred: "QLocalSocket::connectToServer: Invalid name"                                    
kontact(26206)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:                                                                                              
kontact(26206)/kdecore (KLibrary) kde4Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer a qt_plugin_instance function.                                   
kontact(26206)/kdecore (KLibrary) kde3Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer an "init_kcm_kmail" function.                                    
kontact(26206)/kdecore (KLibrary) kde4Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer a qt_plugin_instance function.                                   
kontact(26206)/kdecore (KLibrary) kde3Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer an "init_kcm_kmail" function.                                    
kontact(26206)/kdecore (KLibrary) kde4Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer a qt_plugin_instance function.                                   
kontact(26206)/kdecore (KLibrary) kde3Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer an "init_kcm_kmail" function.                                    
kontact(26206)/kdecore (KLibrary) kde4Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer a qt_plugin_instance function.                                   
kontact(26206)/kdecore (KLibrary) kde3Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer an "init_kcm_kmail" function.                                    
kontact(26206)/kdecore (KLibrary) kde4Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer a qt_plugin_instance function.                                   
kontact(26206)/kdecore (KLibrary) kde3Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer an "init_kcm_kmail" function.                                    
kontact(26206)/kdecore (KLibrary) kde4Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer a qt_plugin_instance function.                                   
kontact(26206)/kdecore (KLibrary) kde3Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer an "init_kcm_kmail" function.                                    
kontact(26206)/kdecore (KLibrary) kde4Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer a qt_plugin_instance function.                                   
kontact(26206)/kdecore (KLibrary) kde3Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer an "init_kcm_kmail" function.                                    
kontact(26206)/kdecore (KLibrary) kde4Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer a qt_plugin_instance function.                                   
kontact(26206)/kdecore (KLibrary) kde3Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer an "init_kcm_kmail" function.                                    
kontact(26206)/kdecore (KLibrary) kde4Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer a qt_plugin_instance function.                                   
kontact(26206)/kdecore (KLibrary) kde3Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer an "init_kcm_kmail" function.                                    
kontact(26206)/kdecore (KLibrary) kde4Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer a qt_plugin_instance function.                                   
kontact(26206)/kdecore (KLibrary) kde3Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer an "init_kcm_kmail" function.                                    
kontact(26206)/kdecore (KLibrary) kde4Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer a qt_plugin_instance function.                                   
kontact(26206)/kdecore (KLibrary) kde3Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer an "init_kcm_kmail" function.                                    
kontact(26206)/kdecore (KLibrary) kde4Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer a qt_plugin_instance function.                                   
kontact(26206)/kdecore (KLibrary) kde3Factory: The library "/usr/lib/kde4/kcm_kmail.so" does not offer an "init_kcm_kmail" function.                                    
kontact(26206) KMFolderIndex::updateIndexStreamPtr: utime( "/home/wbk/.kde/share/apps/kmail/mail/.outbox.index.ids" , 0) failed (KMMsgDict::getFolderIdsLocation( *this )) 
kontact(26206) MessageList::Core::ModelPrivate::findMessageParent: Circular In-Reply-To reference loop detected in the message tree                                     
kontact(26206) MessageList::Core::ModelPrivate::findMessageParent: Circular In-Reply-To reference loop detected in the message tree                                     
kontact(26206) MessageList::Core::ModelPrivate::findMessageParent: Circular In-Reply-To reference loop detected in the message tree                                     
kontact(26206) MessageList::Core::ModelPrivate::findMessageParent: Circular In-Reply-To reference loop detected in the message tree    


kmail --version
Qt: 4.8.2
KDE Development Platform: 4.8.4 (4.8.4)
KMail: 1.13.7


dpkg -l | grep kdepim | awk '{print $2 "\t" $3;}'
kdepim-caldav   1.2.0-1
kdepim-runtime  4:4.4.11.1-6
kdepimlibs-kio-plugins  4:4.8.4-2
libkdepim4      4:4.4.11.1+l10n-3+b1

I can not remember having had this behaviour before; it is just the last couple (6?) of weeks, so for me it is newly introduced.  I can not pinpoint it to a specific date or upgrade.
Comment 14 Denis Kurz 2016-09-24 19:28:53 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kontact (version 5.0 or later, as part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 15 Denis Kurz 2017-01-07 22:25:41 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.